#ifndef MCGATE_H
#define MCGATE_H

#include "pre.h"
#include <malloc.h>
#include <stdio.h>


class MCGate {
     
     friend class MGroup;
     friend class MBranch;

     public:
		char *gatename;
		MBranch *n_branch;
		MBranch *p_branch;
		bool cmos_gate;
		PinList *inlist;
		bool pn_input_match;
		bool unique;
		MCGate *next;

	MCGate::MCGate(const char *name, MBranch *nbranch, MBranch *pbranch, bool cmos_gate_);
	~MCGate();
};

#endif
